/*

        󑐋Z@ʃfBXvC̉p

        Copyright 2009-2011, Yoshi Hiroshi.

*/

#include <avr/io.h>
#include <avr/pgmspace.h>
#include <avr/eeprom.h>
#include <stdio.h>
#include "uDisp.h"
#include "uDispControl.h"
#include "simpleUart.h"
#include "helper.h"

char keyHelp[]      PROGMEM = "Key:";
char dnHelp[]       PROGMEM = "  UP:   CAPTURE";
char dnHelpEnd[]    PROGMEM = "DN: END";
char dnHelpDo[]     PROGMEM = "DN: DO MENU";
char selMenuHelp[]  PROGMEM = "BLUE: SELECT MENU";
char selModeHelp[]  PROGMEM = "BLUE: SELECT MODE";
char selWidthHelp[] PROGMEM = "BLUE: SELECT WIDTH";
char selChnlHelp[]  PROGMEM = "BLUE: SELECT CHNL";
char selItemHelp[]  PROGMEM = "YELW: SELECT ITEM";
char selEnblUHelp[] PROGMEM = "BLUE: ENABLE   or";
char selEnblDHelp[] PROGMEM = "DISABLE";
char selLvlUHelp[]  PROGMEM = "BLUE: HIGH     or";
char selLvlDHelp[]  PROGMEM = "LOW";
char chgOftHelp[]   PROGMEM = "YELW: Change Time";
char chgBrgt1Help[] PROGMEM = "YELW: Change";
char chgBrgt2Help[] PROGMEM = "Brightness";


void triggerHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
    //uDispDrawText_P(12, 0, keyHelp);
    uDispDrawText_P(13, 0, dnHelp);
    uDispDrawText_P(14, 2, selChnlHelp);
    uDispDrawText_P(15, 2, selItemHelp);
}

void triggerEnblHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
//    uDispDrawText_P(13, 0, keyHelp);
    uDispDrawText_P(13, 0, dnHelp);
    uDispDrawText_P(14, 2, selEnblUHelp);
    uDispDrawText_P(15, 8, selEnblDHelp);
}

void triggerLvlHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
//    uDispDrawText_P(13, 0, keyHelp);
    uDispDrawText_P(13, 0, dnHelp);
    uDispDrawText_P(14, 2, selLvlUHelp);
    uDispDrawText_P(15, 8, selLvlDHelp);
}

void utilitiesHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
    uDispDrawText_P(13, 0, keyHelp);
    uDispDrawText_P(14, 2, dnHelpDo);
    uDispDrawText_P(15, 2, selMenuHelp);
}

void captureModeHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
    uDispDrawText_P(14, 0, keyHelp);
    uDispDrawText_P(15, 2, selModeHelp);
}

void scrollWidthHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
    uDispDrawText_P(14, 0, keyHelp);
    uDispDrawText_P(15, 2, selWidthHelp);
}

void holdoffHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
    uDispDrawText_P(14, 0, keyHelp);
    uDispDrawText_P(15, 2, chgOftHelp);
}

void brightnessHelper()
{
    uDispSetColourInt(COLOUR_CYAN);
    uDispSetFontSize(UDISP_FONT_SIZE_SMALL);
    uDispDrawText_P(13, 0, keyHelp);
    uDispDrawText_P(14, 2, chgBrgt1Help);
    uDispDrawText_P(15, 10, chgBrgt2Help);
}


